Subject: Re: bug#53053: 28.0.90; Tramp completion bug of path /sudo::~/

From: Daniel Mendler <[email-masked]>
Date: Fri, 4 Feb 2022 01:11:56 +0100

Hi Michael,

thank you for your response! The issue came up again in
https://github.com/minad/vertico/issues/193. The issue is that the
completion boundaries are reported incorrectly by the file completion
table or the Tramp backend.

For example both

(completion-boundaries "/sudo::~/" #'read-file-name-internal nil "")
(completion-boundaries "/sudo::/" #'read-file-name-internal nil "")

incorrectly return (8 . 0) as boundaries. These values are reported by
the 'boundaries action of the completion table. I am not sure if the bug
is on the layer of Tramp or on a level above. I cc'ed Stefan, he
probably knows the precise location.

Daniel